@import '_content/BlazorDatasheet/BlazorDatasheet.mymudobx2n.bundle.scp.css';
@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';
@import '_content/WasmAutoUpdater/WasmAutoUpdater.rxvpzmhggb.bundle.scp.css';

/* /Components/MeterGaugeComponent.razor.rz.scp.css */
.Gauge[b-3w2d3antv7] {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

.GaugeInfo[b-3w2d3antv7] {
    --gauge-info-width: 14rem;
    --gauge-info-height: 18rem;
    position: relative;
    width: var(--gauge-info-width);
    height: var(--gauge-info-height);
    margin: 0;
}

.GaugeDetail[b-3w2d3antv7] {
    position: absolute;
    bottom: 0;
    left: 0;
    width: var(--gauge-info-width);
    height: calc(var(--gauge-info-height) / 1.8);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.GaugeDetail > .IndexCode[b-3w2d3antv7] {
    position: absolute;
    top: .6rem;
}

.GaugeDetail > .multOrState[b-3w2d3antv7] {
    position: absolute;
    top: 2.2rem;
}

.GaugeDetail > .GaugeValue[b-3w2d3antv7] {
    position: absolute;
    top: 4.6rem;
    line-height: .4rem;
}
/* /Layout/MainLayout.razor.rz.scp.css */
.sidebar-mobile[b-jl3k6n2yuy] {
    position: fixed;
    top: 0;
    left: 0;
    width: 250px;
    height: 100vh;
    z-index: 1923;
    box-shadow: 2px 0px 5px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease-in-out;
    transform: translateX(-100%);
}

.sidebar-mobile.show[b-jl3k6n2yuy] {
    transform: translateX(0);
}

.backdrop[b-jl3k6n2yuy] {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1453;
}
